[arch-commits] Commit in haskell-data-textual/repos (4 files)
Felix Yan
felixonmars at archlinux.org
Sun Apr 23 19:58:33 UTC 2017
Date: Sunday, April 23, 2017 @ 19:58:32
Author: felixonmars
Revision: 224655
archrelease: copy trunk to community-staging-i686, community-staging-x86_64
Added:
haskell-data-textual/repos/community-staging-i686/
haskell-data-textual/repos/community-staging-i686/PKGBUILD
(from rev 224654, haskell-data-textual/trunk/PKGBUILD)
haskell-data-textual/repos/community-staging-x86_64/
haskell-data-textual/repos/community-staging-x86_64/PKGBUILD
(from rev 224654, haskell-data-textual/trunk/PKGBUILD)
-----------------------------------+
community-staging-i686/PKGBUILD | 40 ++++++++++++++++++++++++++++++++++++
community-staging-x86_64/PKGBUILD | 40 ++++++++++++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
Copied: haskell-data-textual/repos/community-staging-i686/PKGBUILD (from rev 224654, haskell-data-textual/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD (rev 0)
+++ community-staging-i686/PKGBUILD 2017-04-23 19:58:32 UTC (rev 224655)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=data-textual
+pkgname=haskell-data-textual
+pkgver=0.3.0.2
+pkgrel=7
+pkgdesc="Human-friendly textual representations."
+url="https://github.com/mvv/data-textual"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+depends=('ghc=8.0.1' 'haskell-parsers' 'haskell-text' 'haskell-text-latin1' 'haskell-text-printer')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+md5sums=('c06c1b96aef06ef4dccfa2c06a1232e7')
+
+build() {
+ cd "${srcdir}/${_hkgname}-${pkgver}"
+
+ runhaskell Setup configure -O --enable-library-profiling --enable-shared \
+ --prefix=/usr --docdir="/usr/share/doc/${pkgname}" \
+ --libsubdir=\$compiler/site-local/\$pkgid
+ runhaskell Setup build
+ runhaskell Setup haddock --hoogle --html || warning "haddock failed"
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+package() {
+ cd "${srcdir}/${_hkgname}-${pkgver}"
+
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+ install -d -m755 "${pkgdir}/usr/share/doc/ghc/html/libraries"
+ ln -s "/usr/share/doc/${pkgname}/html" "${pkgdir}/usr/share/doc/ghc/html/libraries/${_hkgname}"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}
Copied: haskell-data-textual/repos/community-staging-x86_64/PKGBUILD (from rev 224654, haskell-data-textual/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2017-04-23 19:58:32 UTC (rev 224655)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=data-textual
+pkgname=haskell-data-textual
+pkgver=0.3.0.2
+pkgrel=7
+pkgdesc="Human-friendly textual representations."
+url="https://github.com/mvv/data-textual"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+depends=('ghc=8.0.1' 'haskell-parsers' 'haskell-text' 'haskell-text-latin1' 'haskell-text-printer')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+md5sums=('c06c1b96aef06ef4dccfa2c06a1232e7')
+
+build() {
+ cd "${srcdir}/${_hkgname}-${pkgver}"
+
+ runhaskell Setup configure -O --enable-library-profiling --enable-shared \
+ --prefix=/usr --docdir="/usr/share/doc/${pkgname}" \
+ --libsubdir=\$compiler/site-local/\$pkgid
+ runhaskell Setup build
+ runhaskell Setup haddock --hoogle --html || warning "haddock failed"
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+package() {
+ cd "${srcdir}/${_hkgname}-${pkgver}"
+
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+ install -d -m755 "${pkgdir}/usr/share/doc/ghc/html/libraries"
+ ln -s "/usr/share/doc/${pkgname}/html" "${pkgdir}/usr/share/doc/ghc/html/libraries/${_hkgname}"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}
More information about the arch-commits
mailing list